Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734600 - <dev-qt/qtwebengine-5.15.1: Multiple vulnerabilities
Summary: <dev-qt/qtwebengine-5.15.1: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on: qt-5.15 734356 737914
Blocks:
  Show dependency tree
 
Reported: 2020-07-29 18:32 UTC by Sam James
Modified: 2021-01-26 00:31 UTC (History)
2 users (show)

See Also:
Package list:
dev-qt/assistant-5.15.1 amd64 arm64 ppc64 x86 dev-qt/designer-5.15.1 dev-qt/linguist-5.15.1 amd64 arm64 ppc64 x86 dev-qt/linguist-tools-5.15.1 dev-qt/pixeltool-5.15.1 amd64 arm64 ppc64 x86 dev-qt/qdbus-5.15.1 amd64 arm64 ppc ppc64 x86 dev-qt/qdbusviewer-5.15.1 amd64 arm64 ppc64 x86 dev-qt/qdoc-5.15.1 amd64 arm64 x86 dev-qt/qt3d-5.15.1 amd64 arm64 x86 dev-qt/qtbluetooth-5.15.1 amd64 arm arm64 x86 dev-qt/qtcharts-5.15.1 amd64 arm64 x86 dev-qt/qtconcurrent-5.15.1 dev-qt/qtcore-5.15.1-r1 dev-qt/qtdatavis3d-5.15.1 amd64 arm64 x86 dev-qt/qtdbus-5.15.1 dev-qt/qtdeclarative-5.15.1 dev-qt/qtdiag-5.15.1 amd64 x86 dev-qt/qt-docs-5.15.1_p202009071124 amd64 arm64 x86 dev-qt/qtgamepad-5.15.1 amd64 arm64 x86 dev-qt/qtgraphicaleffects-5.15.1 amd64 arm64 ppc ppc64 x86 dev-qt/qtgui-5.15.1-r1 dev-qt/qthelp-5.15.1 dev-qt/qtimageformats-5.15.1 amd64 arm64 ppc64 x86 dev-qt/qtlocation-5.15.1 amd64 arm arm64 x86 dev-qt/qtmultimedia-5.15.1 dev-qt/qtnetwork-5.15.1 dev-qt/qtnetworkauth-5.15.1 amd64 arm64 x86 dev-qt/qtopengl-5.15.1 dev-qt/qtpaths-5.15.1 amd64 arm64 ppc ppc64 x86 dev-qt/qtpositioning-5.15.1 dev-qt/qtprintsupport-5.15.1 dev-qt/qtquickcontrols2-5.15.1 amd64 arm64 x86 dev-qt/qtquickcontrols-5.15.1 amd64 arm64 ppc ppc64 x86 dev-qt/qtscript-5.15.1 amd64 arm64 ppc ppc64 x86 dev-qt/qtscxml-5.15.1 amd64 arm64 x86 dev-qt/qtsensors-5.15.1 amd64 arm arm64 ppc64 x86 dev-qt/qtserialport-5.15.1 dev-qt/qtspeech-5.15.1 amd64 arm64 x86 dev-qt/qtsql-5.15.1 dev-qt/qtsvg-5.15.1 dev-qt/qttest-5.15.1 dev-qt/qttranslations-5.15.1 dev-qt/qtvirtualkeyboard-5.15.1 amd64 arm64 x86 dev-qt/qtwayland-5.15.1 dev-qt/qtwebchannel-5.15.1 amd64 arm arm64 ppc64 x86 dev-qt/qtwebengine-5.15.1 amd64 arm64 x86 dev-qt/qtwebsockets-5.15.1 amd64 arm arm64 ppc64 x86 dev-qt/qtwidgets-5.15.1 dev-qt/qtx11extras-5.15.1 dev-qt/qtxml-5.15.1 dev-qt/qtxmlpatterns-5.15.1
Runtime testing required: ---
nattka: sanity-check-


Attachments
emerge -uDNav @world (emerge_error,68.07 KB, text/plain)
2020-10-13 09:12 UTC, Michal Privoznik
no flags Details
emerge --info (emerge_info,5.96 KB, text/plain)
2020-10-13 09:12 UTC, Michal Privoznik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-07-29 18:32:16 UTC
https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=e0a67c6fce6c97053d9e917623dd3d29aba63ca5:
2c7da754bb4 [Backport] CVE-2020-6518: Use after free in developer tools
b44a099f737 [Backport] CVE-2020-6523: Out of bounds write in Skia
1c142fada62 [Backport] CVE-2020-6524: Heap buffer overflow in WebAudio
5748e38c2f2 [Backport] CVE-2020-6526: Inappropriate implementation in iframe sandbox
d41f723f492 [Backport] CVE-2020-6529: Inappropriate implementation in WebRTC
e61ea405c3c [Backport] CVE-2020-6535: Insufficient data validation in WebUI
288befc5a1e [Backport] Security bug 1090543

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=69be445c4412c886c6c9619fe377265a958844b8:
9bea57931fd [Backport] CVE-2020-6510: Heap buffer overflow in background fetch
dac11cfa7af [Backport] CVE-2020-6511: Side-channel information leakage in CSP (1/2)
ce4b0e7fe74 [Backport] CVE-2020-6511: Side-channel information leakage in CSP (2/2)
4ba6053c609 [Backport] CVE-2020-6512: Type Confusion in V8 (1/2)
2be01d83ffc [Backport] CVE-2020-6512: Type Confusion in V8 (2/2)
c3a7b41c75c [Backport] CVE-2020-6513: Heap buffer overflow in PDFium
7d0c0b1385a [Backport] CVE-2020-6514: Inappropriate implementation in WebRTC

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=64e7fec600cf49a66d418b656bef2622529003e9:
4e8ca195e4a Fix crash on run with blink setting DarkModeImagePolicy=kFilterSmart
3670a2bf53d [Backport] CVE-2020-6506: Insufficient policy enforcement in WebView

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=6bae6dcf10d33b2986a022e4327fe4e8b76b5111:
Submodule src/3rdparty 1f33565e..f5132764:
* 342c9a71221  [Backport] CVE-2020-6475 1/2
* 2e9d7420741  [Backport] CVE-2020-6475 2/2
* f51327640e8  FIXUP: Fix crash in file-selector tests

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=16a4a4e1ae91c6a38864f40869380e567af62acc:
* 015b291414b  [Backport] CVE-2020-6468
* b3742c1f45f  [Backport] Security bug 1075907
* 675ccd3d7e0  [Backport] Security bug 1025302
* cbe73527af6  [Backport] Security Bug 1070012 1/5
* dc28ec4d3db  [Backport] Security Bug 1070012 2/5
* 62806d1b0ef  [Backport] Security Bug 1070012 3/5
* 96dbb8f6ecc  [Backport] Security Bug 1070012 4/5
* 1f33565e67d  [Backport] Security Bug 1070012 5/5

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=a8cc8ee769a25a2a84cd8ac3f237287fc811a6bf:
* f21a77feb40 [Backport] CVE-2020-6467
* b5f7f2dc043 [Backport] Security Bug 1061933
* 3f5177bbb30 [Backport] Security Bug 1058515
* 71cbe89147d [Backport] Security Bug 1057369
* 915899195a3 [Backport] Security Bug 1056161
* 403c46ebedd [Backport] Security Bug 1051439
* 59102e31351 [Backport] Security Bug 1048619

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=e906437f33e760dcfbdc58bc6f6fe78a51677918:
* ec9c3b76caa  [Backport] CVE-2020-6490
* ad22f47c8ed  [Backport] CVE-2020-6489
* 2633ca37468  [Backport] CVE-2020-6487
* b1bad8887df  [Backport] CVE-2020-6486
* f4560c1d204  [Backport] CVE-2020-6483
* ea55d54f152  [Backport] CVE-2020-6482

https://code.qt.io/cgit/qt/qtwebengine.git/commit/?id=8e793d7ea7de7c1db40ef18cd8e2844ea1e6a7d4:
* 7b4ef1845d8  [Backport] CVE-2020-6481
* 53a8f71a325  [Backport] CVE-2020-6480
* 55fd59d3f67  [Backport] CVE-2020-6476
* dad7ea2ac15  [Backport] CVE-2020-6474
* 5f6ef2ef4b9  [Backport] CVE-2020-6473
* 9b0f09682c6  [Backport] CVE-2020-6472
* 678c0786648  [Backport] CVE-2020-6471
* ef79dfc84c9  [Backport] CVE-2020-6470
Comment 1 Sam James archtester gentoo-dev Security 2020-09-29 22:24:37 UTC
Let us know when ready (obviously). Thank you as ever.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-10-04 16:08:53 UTC
Revbumping dev-qt/qtgui for commit 5e4b74cf31c4478d491f577d5746e4024b3ea552.
Comment 3 Sam James archtester gentoo-dev Security 2020-10-04 16:17:07 UTC
Out of interest, are we waiting now on Qt-timeout, or some bug(s) or alignment with the Plasma bug?
Comment 4 Andreas Sturmlechner gentoo-dev 2020-10-04 17:56:27 UTC
30 days since 5.15.1 bump have not yet passed. Above fix shows we've done well to wait. Also, yes, linked Plasma would be best for this and will start first.
Comment 5 Sam James archtester gentoo-dev Security 2020-10-06 04:50:20 UTC
(In reply to Andreas Sturmlechner from comment #4)
> 30 days since 5.15.1 bump have not yet passed. Above fix shows we've done
> well to wait. Also, yes, linked Plasma would be best for this and will start
> first.

So why CC arches on one and not the other? (and no, we don't always wait 30 days)
Comment 6 Sam James archtester gentoo-dev Security 2020-10-06 04:53:41 UTC
(In reply to Sam James from comment #5)
> (In reply to Andreas Sturmlechner from comment #4)
> > 30 days since 5.15.1 bump have not yet passed. Above fix shows we've done
> > well to wait. Also, yes, linked Plasma would be best for this and will start
> > first.
> 
> So why CC arches on one and not the other? (and no, we don't always wait 30
> days)

(To be clear, I have no problem waiting and I always appreciate your work with us. I'm just trying to figure out, with the arch team hat on too, whether or not doing Plasma now is going to cause unnecessary rebuilds.

If we're going to be doing this in a few days or whatever, I don't want to do it on both amd64 and x86 or something then cause a bunch of hassle.)
Comment 7 Andreas Sturmlechner gentoo-dev 2020-10-06 05:47:50 UTC
There is only a handful of Qt revdeps that use private headers hence causing rebuilds, Plasma/Frameworks rebuilds are not expensive at all.
Comment 8 Sam James archtester gentoo-dev Security 2020-10-08 00:53:06 UTC
(In reply to Andreas Sturmlechner from comment #7)
> There is only a handful of Qt revdeps that use private headers hence causing
> rebuilds, Plasma/Frameworks rebuilds are not expensive at all.

So no real need to be done in sync then. Thank you for explaining. :)
Comment 9 Sam James archtester gentoo-dev Security 2020-10-12 11:33:56 UTC
arm64 done
Comment 10 Sam James archtester gentoo-dev Security 2020-10-12 11:48:34 UTC
arm done
Comment 11 Sam James archtester gentoo-dev Security 2020-10-12 15:09:34 UTC
amd64 done
Comment 12 Michal Privoznik 2020-10-13 09:11:29 UTC
(In reply to Sam James from comment #11)
> amd64 done

This is causing some trouble:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
Comment 13 Michal Privoznik 2020-10-13 09:12:04 UTC
Created attachment 664984 [details]
emerge -uDNav @world
Comment 14 Michal Privoznik 2020-10-13 09:12:18 UTC
Created attachment 664987 [details]
emerge --info
Comment 15 Andreas Sturmlechner gentoo-dev 2020-10-13 09:16:33 UTC
Don't spam this bug please, seek help in irc or forums.
Comment 16 Agostino Sarubbo gentoo-dev 2020-10-13 09:52:00 UTC
ppc stable
Comment 17 Agostino Sarubbo gentoo-dev 2020-10-13 09:58:23 UTC
ppc64 stable
Comment 18 Michal Privoznik 2020-10-13 15:41:39 UTC
(In reply to Andreas Sturmlechner from comment #15)
> Don't spam this bug please, seek help in irc or forums.

I'm surprised by this response, frankly. Why is this tracked in bugzilla if we don't want users to report problems? Am I misunderstanding something?
Comment 19 Sam James archtester gentoo-dev Security 2020-10-13 15:44:07 UTC
(In reply to Michal Privoznik from comment #18)
> (In reply to Andreas Sturmlechner from comment #15)
> > Don't spam this bug please, seek help in irc or forums.
> 
> I'm surprised by this response, frankly. Why is this tracked in bugzilla if
> we don't want users to report problems? Am I misunderstanding something?

Slot conflicts are usually support problems, even if it's not always obvious how to fix them. At the very least, a new bug should be filed, but like I said, this is likely a support issue.

Sometimes they are things where we can intervene to make things easier (e.g. stabilising a newer version of something), sometimes not. Please ensure you are updating your whole system.
Comment 20 Andreas Sturmlechner gentoo-dev 2020-10-13 16:44:02 UTC
(In reply to Michal Privoznik from comment #18)
> I'm surprised by this response, frankly. Why is this tracked in bugzilla if
> we don't want users to report problems? Am I misunderstanding something?
You're experiencing a well-known Portage limitation, it even tells you how to solve it at the end (increase --backtrack). If that does not help, then #gentoo or forums are best suited for this type of support question for more real-time response. A bug is very ill-suited for that, and it is nothing for Qt proj to solve anyway.
Comment 21 Thomas Deutschmann gentoo-dev Security 2020-10-18 14:45:43 UTC
x86 stable
Comment 22 Larry the Git Cow gentoo-dev 2020-10-18 16:16:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c0947091db651f4e7d136e22d4887b47d9245cd

commit 1c0947091db651f4e7d136e22d4887b47d9245cd
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-10-13 14:26:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-10-18 16:15:28 +0000

    dev-qt: Drop Qt 5.14.2
    
    Bug: https://bugs.gentoo.org/734600
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-qt/assistant/Manifest                          |   1 -
 dev-qt/assistant/assistant-5.14.2.ebuild           |  55 ------
 dev-qt/designer/Manifest                           |   1 -
 dev-qt/designer/designer-5.14.2.ebuild             |  57 -------
 dev-qt/linguist-tools/Manifest                     |   1 -
 dev-qt/linguist-tools/linguist-tools-5.14.2.ebuild |  35 ----
 dev-qt/linguist/Manifest                           |   1 -
 dev-qt/linguist/linguist-5.14.2.ebuild             |  48 ------
 dev-qt/pixeltool/Manifest                          |   1 -
 dev-qt/pixeltool/pixeltool-5.14.2.ebuild           |  25 ---
 dev-qt/qdbus/Manifest                              |   1 -
 dev-qt/qdbus/qdbus-5.14.2.ebuild                   |  25 ---
 dev-qt/qdbusviewer/Manifest                        |   1 -
 dev-qt/qdbusviewer/qdbusviewer-5.14.2.ebuild       |  45 -----
 dev-qt/qdoc/Manifest                               |   1 -
 dev-qt/qdoc/qdoc-5.14.2.ebuild                     |  41 -----
 dev-qt/qt-docs/Manifest                            |  55 ------
 dev-qt/qt-docs/metadata.xml                        |   1 -
 .../qt-docs/qt-docs-5.14.2_p202003291239-r1.ebuild | 103 ------------
 dev-qt/qt-docs/qt-docs-5.14.2_p202003291239.ebuild | 102 ------------
 dev-qt/qt3d/Manifest                               |   1 -
 dev-qt/qt3d/qt3d-5.14.2.ebuild                     |  34 ----
 dev-qt/qtbluetooth/Manifest                        |   1 -
 dev-qt/qtbluetooth/qtbluetooth-5.14.2-r1.ebuild    |  33 ----
 dev-qt/qtcharts/Manifest                           |   1 -
 dev-qt/qtcharts/qtcharts-5.14.2.ebuild             |  29 ----
 dev-qt/qtconcurrent/Manifest                       |   1 -
 dev-qt/qtconcurrent/qtconcurrent-5.14.2.ebuild     |  23 ---
 dev-qt/qtcore/Manifest                             |   1 -
 .../files/qtcore-5.14.2-QLibrary-deadlock.patch    | 106 ------------
 dev-qt/qtcore/qtcore-5.14.2.ebuild                 | 103 ------------
 dev-qt/qtdatavis3d/Manifest                        |   1 -
 dev-qt/qtdatavis3d/qtdatavis3d-5.14.2.ebuild       |  31 ----
 dev-qt/qtdbus/Manifest                             |   1 -
 dev-qt/qtdbus/qtdbus-5.14.2.ebuild                 |  43 -----
 dev-qt/qtdeclarative/Manifest                      |   1 -
 ....2-QQuickMouseArea-stuck-in-pressed-state.patch |  55 ------
 ...ative-5.14.2-fix-subpixel-positioned-text.patch |  64 -------
 .../qtdeclarative/qtdeclarative-5.14.2-r4.ebuild   |  59 -------
 dev-qt/qtdiag/Manifest                             |   1 -
 dev-qt/qtdiag/qtdiag-5.14.2.ebuild                 |  36 ----
 dev-qt/qtgamepad/Manifest                          |   1 -
 dev-qt/qtgamepad/qtgamepad-5.14.2.ebuild           |  35 ----
 dev-qt/qtgraphicaleffects/Manifest                 |   1 -
 .../qtgraphicaleffects-5.14.2.ebuild               |  21 ---
 dev-qt/qtgui/Manifest                              |   1 -
 .../qtgui/files/qtgui-5.14.2-CVE-2020-17507.patch  |  39 -----
 dev-qt/qtgui/qtgui-5.14.2-r1.ebuild                | 185 ---------------------
 dev-qt/qthelp/Manifest                             |   1 -
 dev-qt/qthelp/qthelp-5.14.2.ebuild                 |  29 ----
 dev-qt/qtimageformats/Manifest                     |   1 -
 dev-qt/qtimageformats/qtimageformats-5.14.2.ebuild |  30 ----
 dev-qt/qtlocation/Manifest                         |   1 -
 .../files/qtlocation-5.14.2-gcc-10.patch           |  36 ----
 dev-qt/qtlocation/qtlocation-5.14.2.ebuild         |  49 ------
 dev-qt/qtmultimedia/Manifest                       |   1 -
 .../qtmultimedia-5.14.2-gstreamer-buffering.patch  |  38 -----
 dev-qt/qtmultimedia/qtmultimedia-5.14.2-r1.ebuild  |  72 --------
 dev-qt/qtnetwork/Manifest                          |   1 -
 .../files/qtnetwork-5.14.2-CVE-2020-13962.patch    | 172 -------------------
 dev-qt/qtnetwork/qtnetwork-5.14.2-r1.ebuild        |  66 --------
 dev-qt/qtnetworkauth/Manifest                      |   1 -
 dev-qt/qtnetworkauth/qtnetworkauth-5.14.2.ebuild   |  20 ---
 dev-qt/qtopengl/Manifest                           |   1 -
 dev-qt/qtopengl/qtopengl-5.14.2-r1.ebuild          |  34 ----
 dev-qt/qtpaths/Manifest                            |   1 -
 dev-qt/qtpaths/qtpaths-5.14.2.ebuild               |  23 ---
 dev-qt/qtplugininfo/Manifest                       |   1 -
 dev-qt/qtplugininfo/qtplugininfo-5.14.2.ebuild     |  23 ---
 dev-qt/qtpositioning/Manifest                      |   1 -
 dev-qt/qtpositioning/qtpositioning-5.14.2.ebuild   |  40 -----
 dev-qt/qtprintsupport/Manifest                     |   1 -
 dev-qt/qtprintsupport/qtprintsupport-5.14.2.ebuild |  42 -----
 dev-qt/qtquickcontrols/Manifest                    |   1 -
 .../qtquickcontrols/qtquickcontrols-5.14.2.ebuild  |  32 ----
 dev-qt/qtquickcontrols2/Manifest                   |   1 -
 ...14.2-account-for-scale-before-positioning.patch |  61 -------
 .../qtquickcontrols2-5.14.2-r1.ebuild              |  34 ----
 dev-qt/qtscript/Manifest                           |   1 -
 dev-qt/qtscript/qtscript-5.14.2.ebuild             |  36 ----
 dev-qt/qtscxml/Manifest                            |   1 -
 dev-qt/qtscxml/qtscxml-5.14.2.ebuild               |  19 ---
 dev-qt/qtsensors/Manifest                          |   1 -
 dev-qt/qtsensors/qtsensors-5.14.2.ebuild           |  28 ----
 dev-qt/qtserialbus/Manifest                        |   1 -
 dev-qt/qtserialbus/qtserialbus-5.14.2.ebuild       |  20 ---
 dev-qt/qtserialport/Manifest                       |   1 -
 dev-qt/qtserialport/qtserialport-5.14.2.ebuild     |  27 ---
 dev-qt/qtspeech/Manifest                           |   1 -
 dev-qt/qtspeech/qtspeech-5.14.2.ebuild             |  20 ---
 dev-qt/qtsql/Manifest                              |   1 -
 dev-qt/qtsql/qtsql-5.14.2.ebuild                   |  55 ------
 dev-qt/qtsvg/Manifest                              |   1 -
 dev-qt/qtsvg/qtsvg-5.14.2.ebuild                   |  23 ---
 dev-qt/qttest/Manifest                             |   1 -
 dev-qt/qttest/qttest-5.14.2.ebuild                 |  33 ----
 dev-qt/qttranslations/Manifest                     |   1 -
 dev-qt/qttranslations/qttranslations-5.14.2.ebuild |  19 ---
 dev-qt/qtvirtualkeyboard/Manifest                  |   1 -
 .../qtvirtualkeyboard-5.14.2.ebuild                |  43 -----
 dev-qt/qtwayland/Manifest                          |   1 -
 dev-qt/qtwayland/qtwayland-5.14.2.ebuild           |  45 -----
 dev-qt/qtwebchannel/Manifest                       |   1 -
 dev-qt/qtwebchannel/qtwebchannel-5.14.2.ebuild     |  26 ---
 dev-qt/qtwebengine/Manifest                        |   1 -
 ...qtwebengine-5.14.1-disable-fatal-warnings.patch |  12 --
 .../files/qtwebengine-5.14.2-gcc-10.patch          |  89 ----------
 .../files/qtwebengine-5.14.2-icu67.patch           | 169 -------------------
 .../files/qtwebengine-5.15.0-bison-3.7-build.patch |  54 ------
 dev-qt/qtwebengine/qtwebengine-5.14.2.ebuild       | 152 -----------------
 dev-qt/qtwebsockets/Manifest                       |   1 -
 dev-qt/qtwebsockets/qtwebsockets-5.14.2.ebuild     |  27 ---
 dev-qt/qtwebview/Manifest                          |   1 -
 dev-qt/qtwebview/qtwebview-5.14.2.ebuild           |  21 ---
 dev-qt/qtwidgets/Manifest                          |   1 -
 dev-qt/qtwidgets/qtwidgets-5.14.2.ebuild           |  57 -------
 dev-qt/qtx11extras/Manifest                        |   1 -
 dev-qt/qtx11extras/qtx11extras-5.14.2.ebuild       |  22 ---
 dev-qt/qtxml/Manifest                              |   1 -
 dev-qt/qtxml/qtxml-5.14.2.ebuild                   |  29 ----
 dev-qt/qtxmlpatterns/Manifest                      |   1 -
 dev-qt/qtxmlpatterns/qtxmlpatterns-5.14.2.ebuild   |  30 ----
 122 files changed, 3398 deletions(-)
Comment 23 Andreas Sturmlechner gentoo-dev 2020-10-18 16:20:01 UTC
Cleanup done.
Comment 24 John Helmert III (ajak) gentoo-dev Security 2020-10-18 16:24:48 UTC
(In reply to Andreas Sturmlechner from comment #23)
> Cleanup done.

Thank you!
Comment 25 NATTkA bot gentoo-dev 2020-11-18 21:12:58 UTC Comment hidden (obsolete)
Comment 26 NATTkA bot gentoo-dev 2021-01-10 09:57:02 UTC
Unable to check for sanity:

> no match for package: dev-qt/assistant-5.15.1
Comment 27 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:22:25 UTC
This issue was resolved and addressed in
 GLSA 202101-30 at https://security.gentoo.org/glsa/202101-30
by GLSA coordinator Sam James (sam_c).
Comment 28 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:23:10 UTC
This issue was resolved and addressed in
 GLSA 202101-30 at https://security.gentoo.org/glsa/202101-30
by GLSA coordinator Sam James (sam_c).
Comment 29 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:23:16 UTC
This issue was resolved and addressed in
 GLSA 202101-30 at https://security.gentoo.org/glsa/202101-30
by GLSA coordinator Sam James (sam_c).